pro MSP_BDP_Filter_Classify, Event, camera_name, filter_summary_name
	WIDGET_CONTROL, Event.top, GET_UVALUE=PTR_struct
	f_ptr = PTR_struct.PTR_FITS
	t_ptr = PTR_struct.PTR_filt
	;
	;	20101124 added camera name for resolving dual-use filter combos
	;
	case camera_name of
		'F5':	this_camera = 5
		'F17':	this_camera = 17
		'PV':	this_camera = 1
		else:	this_camera = -1
	endcase
	;
	FW = strarr(4)
	FW[0:3] = (*f_ptr).filter[0:3]
	;
	;	classifies the filter suite selected into
	;	some simpler names
	;
	;	match the filters to the structures
	;
	i_types = N_ELEMENTS( (*t_ptr).types)
	;
	filter_summary_name = "No Match"
	;
	for i = 0, i_types-1 do begin
		neq_max = 0
		for k = 0, 2 do begin	; alternate naming
			neq = 0
			for j = 0, 3 do begin
				if(FW[j] eq (*t_ptr).types[i].FW[j,k]) then neq++
			endfor
			;
			if(neq gt neq_max) then neq_max = neq
		endfor
		if(neq_max eq 4) then begin
			;
			;	test for proper camera name, or any camera flag (0)
			;
			if( ((*t_ptr).types[i].Camera eq 0) or $
			    ((*t_ptr).types[i].Camera eq this_camera)) then $
					filter_summary_name = (*t_ptr).types[i].Name
			;print, filter_summary_name
		endif
	endfor
	;
	;	dark is special - if any filter is dark the type is dark
	;
	;print, "in filter classify, FW = ",FW
	;
	UFW = STRTRIM(STRUPCASE(FW[*]),2)
	;print, "in filter classify, UFW = ",UFW
	;
	ind = WHERE( UFW[*] eq "DARK",count)
	;print, "count = ",count
	if(count ne 0) then filter_summary_name = "Dark"
	;print, "filter summary name = ",filter_summary_name
	;
	;	if still unclassified, send back the packed filter names
	;
	if(filter_summary_name eq "No Match") then begin
		filter_summary_name = FW[3]+'/'+FW[0]+'/'+FW[1]+'/'+FW[2]+'/'+camera_name
	endif
	;
	;print, "filter summary name [2] = ",filter_summary_name
end
