pro P9_init, Event
	;
	;	gets the list of active nights with Step>=8 (linearity correction
	;	must be applied first) onto the P9 list and does all
	;		other initializations
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE = PTR_struct
	s_ptr = PTR_struct.PTR_summary
	b_ptr = PTR_struct.PTR_BPM
	d_ptr = PTR_struct.PTR_Dark
	;
	num_nights = (*s_ptr).num_nights
	;
	if(num_nights eq 0) then begin
		str_list = ['no nights on list']
	endif else begin
		night_list = (*s_ptr).night_date[0:num_nights-1]
		step_list = (*s_ptr).night_step[0:num_nights-1]
		ind = WHERE(step_list[*] ge 8, count)
		if(count lt 1) then begin
			str_list = ['no nights w/S>=8']
			MSP_BDP_print_text, Event, "No Nights Available for Dark Image Creation - Complete Linearity Correction first."
		endif else begin
			;
			;	put into structure array
			;
			(*d_ptr).n_nights = count
			for i=0, count-1 do begin
				(*d_ptr).night_list[i] = night_list[ind[i]]
				;
				;print,"night ",i," desig = ",(*d_ptr).night_list[i]
				;
			endfor
		endelse
	endelse
	;
	;	clear LED and buttons
	;
	P9_LED_sensitize, Event, 0, 0
	P9_button_sensitize, Event, 0, 1
	for ib = 1, 2  do P9_button_sensitize, Event, ib, 0
end